package com.wsstart;

import com.wsstart.dao.UserDao;
import com.wsstart.service.UserService;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import javax.sql.DataSource;

public class Demo {

    public static void main(String[] args) {
        ClassPathXmlApplicationContext classPathXmlApplicationContext = new ClassPathXmlApplicationContext("applicationContext.xml");

        UserDao userDao = (UserDao) classPathXmlApplicationContext.getBean("userDao");
        UserService userService = (UserService) classPathXmlApplicationContext.getBean("userService");

        System.out.println(userService);
        userService.show();
        System.out.println(userDao);
        userDao.show();


        DataSource dataSource = classPathXmlApplicationContext.getBean(DataSource.class);
        System.out.println(dataSource);
    }
}
